# Uses of Interface
org.eclipse.emf.cdo.server.ILockingManager

Packages that use ILockingManager
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of ILockingManager in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return ILockingManager
Modifier and Type
Method
Description
`ILockingManager`
IRepository.`getLockingManager()`

## Uses of ILockingManager in org.eclipse.emf.cdo.spi.server

Subinterfaces of ILockingManager in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalLockManager`
The type of the to-be-locked objects is either `CDOIDAndBranch` or `CDOID`, depending on whether branching is supported by the repository or not.